cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/sso/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "<string>",
"isActive": true,
"entryPoint": "<string>",
"issuer": "<string>",
"cert": "<string>",
"enableGroupSync": true
}
'import requests
url = "https://us.infisical.com/api/v1/sso/config"
payload = {
"organizationId": "<string>",
"isActive": True,
"entryPoint": "<string>",
"issuer": "<string>",
"cert": "<string>",
"enableGroupSync": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organizationId: '<string>',
isActive: true,
entryPoint: '<string>',
issuer: '<string>',
cert: '<string>',
enableGroupSync: true
})
};
fetch('https://us.infisical.com/api/v1/sso/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"authProvider": "<string>",
"lastUsed": "2023-11-07T05:31:56Z"
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}SAML SSO
Update SAML SSO Config
Update SAML config
PATCH
/
api
/
v1
/
sso
/
config
cURL
Authorizations
An access token in Infisical
Body
application/json
The ID of the organization to update the SAML config for.
Authentication provider to use for SAML authentication.
Available options:
okta-saml, azure-saml, jumpcloud-saml, google-saml, keycloak-saml, auth0-saml Whether to enable or disable this SAML configuration.
The entry point for the SAML authentication. This is the URL that the user will be redirected to after they have authenticated with the SAML provider.
The SAML provider issuer URL or entity ID.
The certificate to use for SAML authentication.
Whether to enable automatic synchronization of group memberships from the SAML provider to Infisical groups.
Was this page helpful?
⌘I